function YPred = terrg_mtmkl(trInd, teInd, alpha, lambda, gamma, utnfac)
%function YPred = terrg_mtmkl(trInd, teInd, alpha, lambda, gamma, utnfac)
%Input:
%GLOBAL VARIABLES:
%y - cell of size Tx1. y{t} is column vec. of labels for `t'^{th} task
%K - cell of size Txk. K{t,j} is upper-tr part of gram-matrix for j^{th} kernel t^{th} task
%    (The gram matrices must be PD)
%ARGUMENTS
%trInd - cell of size Tx1. trInd{t} is column vec. of training datapoint
%        indices into gram-matrices in K
%teInd - cell of size Tx1. teInd{t} is column vec. of testing datapoint
%        indices into gram-matrices in K
%alpha, lambda, gamma, utnfac - outputs of trcl_mtmkl.m
%Output:
%YPred - cell of size Tx1. YPred{t} is column vec. of predicted labels for the required test points

global y
global K

T = size(y,1);        %No. tasks
k = size(K,2);        %No. kernels          %if(size(K,1)~=T) fprintf('Invalid y & K\n'); return; end

for t=1:T
    K_comb = zeros(size(teInd{t},1),size(trInd{t},1));
    for j=1:k
        K_comb = K_comb + gamma(j)*(K{t,j}(teInd{t},trInd{t})+K{t,j}(trInd{t},teInd{t})')/(lambda(j,t)*utnfac(t,j));
    end
    YPred{t} = K_comb*alpha{t};
end

return
